# ddoc14

- `Structure`

  #### Declaration

  `struct `Structure`;`

  -1

  - `variable`

    #### Declaration

    `P `variable`;`

    0

  - `mNone`

    #### Declaration

    `V `mNone`(lazy P `p`);`

    1

  - `mPrefix`

    #### Declaration

    `pure nothrow V `mPrefix`(lazy P `p`);`

    2

  - `mSuffix`

    #### Declaration

    `pure nothrow V `mSuffix`(lazy P `p`);`

    3

  - `mSuffixTemplate`

    #### Declaration

    `pure nothrow V `mSuffixTemplate`(T)(lazy P `p`, T[] `t`...);`

    5

  - `mScoped`

    #### Declaration

    `pure nothrow V `mScoped`(lazy P `p`);`

    6

  - `mAutoPrefix`

    #### Declaration

    `pure nothrow auto `mAutoPrefix`(ref P `p`);`

    7

  - `mAutoTemplateSuffix`

    #### Declaration

    `pure nothrow auto `mAutoTemplateSuffix`(alias T)(ref T `t`);`

    9

  - `mColon`

    #### Declaration

    `pure nothrow V `mColon`(lazy P `p`);`

    10

- `Class`

  #### Declaration

  `class `Class`;`

  -1

  - `variable`

    #### Declaration

    `P `variable`;`

    0

  - `mNone`

    #### Declaration

    `V `mNone`(lazy P `p`);`

    1

  - `mPrefix`

    #### Declaration

    `pure nothrow V `mPrefix`(lazy P `p`);`

    2

  - `mSuffix`

    #### Declaration

    `pure nothrow V `mSuffix`(lazy P `p`);`

    3

  - `mSuffixTemplate`

    #### Declaration

    `pure nothrow V `mSuffixTemplate`(T)(lazy P `p`, T[] `t`...);`

    5

  - `mScoped`

    #### Declaration

    `pure nothrow V `mScoped`(lazy P `p`);`

    6

  - `mAutoPrefix`

    #### Declaration

    `pure nothrow auto `mAutoPrefix`(ref P `p`);`

    7

  - `mAutoTemplateSuffix`

    #### Declaration

    `pure nothrow auto `mAutoTemplateSuffix`(alias T)(ref T `t`);`

    9

  - `mColon`

    #### Declaration

    `pure nothrow V `mColon`(lazy P `p`);`

    10

- `variable`

  #### Declaration

  `P `variable`;`

  0

- `mNone`

  #### Declaration

  `V `mNone`(lazy P `p`);`

  1

- `mPrefix`

  #### Declaration

  `pure nothrow V `mPrefix`(lazy P `p`);`

  2

- `mSuffix`

  #### Declaration

  `pure nothrow V `mSuffix`(lazy P `p`);`

  3

- `mSuffixTemplate`

  #### Declaration

  `pure nothrow V `mSuffixTemplate`(T)(lazy P `p`, T[] `t`...);`

  5

- `mScoped`

  #### Declaration

  `pure nothrow V `mScoped`(lazy P `p`);`

  6

- `mAutoPrefix`

  #### Declaration

  `pure nothrow auto `mAutoPrefix`(ref P `p`);`

  7

- `mAutoTemplateSuffix`

  #### Declaration

  `pure nothrow auto `mAutoTemplateSuffix`(alias T)(ref T `t`);`

  9

- `mColon`

  #### Declaration

  `pure nothrow V `mColon`(lazy P `p`);`

  10